{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":45323,"path":"security-management/spc-sgc-template-stepper-4.md","title":"Provide input values for your API connector","bundle":null,"doc_type":null,"release":"australia","body":"\n# Provide input values for your API connector\n\nProvide input parameters to make a valid API call, test the connection, and receive a sample response.\n\n## Before you begin\n\nFor all templates, you can select the information icon \\(\\[Omitted image \"circle-info-outline-24.svg\"\\] Alt text: lower case letter i for more information\\) to learn more about each parameter. You can use the API samples provided with each template. After you define your input parameters, you must test your connection.\n\nYou have the option to get guidance for selecting a template with a Now Assist skill for this step. See [Using generative AI skills](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/security-management/using-now-assist-skills-vulnerability-response.md) for more information about the generative AI skill and [Creating an API connector with generative AI](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/security-management/using-now-assist-api-connector.md) about using the skill in connector framework.\n\nRoles required:\n\n-   sn\\_sec\\_spc\\_core.developer\n-   sn\\_spc\\_cxf.admin - required for advanced scripting\n\n## Procedure\n\n1.  Fill in the fields.\n\n    **Note:** If you change any input parameters after testing the connection, you must test the connection again before you can continue on to [Map API response to SPC attributes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/security-management/spc-sgc-stepper-5.md).\n\n<table id=\"table_j1c_st4_sfc\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th><th>\n\nExample\n\n</th></tr></thead><tbody><tr><td>\n\nObject list path\n\n</td><td>\n\nPath to the list of assets in the response payload.\n\n</td><td>\n\nAn example: `$.list`\n\n</td></tr><tr><td>\n\nAPI endpoint relative path\n\n</td><td>\n\nThis is the path to the API without the host URL.\n\n</td><td>\n\nAn example: `/r2`\n\n</td></tr><tr><td>\n\nAPI query parameters\n\n</td><td>\n\nKey-value pairs that are appended to the API URL for filtering. Values can be strings, scripts, or references to fields in the credential table.\n\n</td><td>\n\nAn example:\n\n Name \\[name of query parameter\\]\n\n Value type \\[Static values\\]\n\n Value \\[a string\\]\n\n</td></tr><tr><td>\n\nPagination parameters\n\n</td><td>\n\nDynamic parameters used to retrieve subsequent pages of API data. Specify the parameter name, its location in the request \\(Query, Header, or Body\\), the path to extract its next value from the API response, and an optional default value.\n\n</td><td>\n\nAn example of pagination type Offset:\n\n Offset\n\n Parameter name \\[start\\]\n\n Location in API request \\[Query parameters\\]\n\n Default value \\[0\\]\n\n Limit\n\n Parameter name \\[count\\]\n\n Location in API request \\[Query parameters\\]\n\n Default value \\[5\\]\n\n</td></tr><tr><td>\n\n\\(Optional\\) Add parameter\n\n</td><td>\n\nAdd custom parameters\n\n</td><td>\n\nSelect **Add parameter** to define your own parameters.For example, you might want to determine if there are additional pages of data that are included in the API response.\n\nParameter name \\[hasMore\\]\n\nPath in API response \\[$.hasMore\\]\n\nLocation in API request \\[Header parameters\\]\n\nDefault value \\[1\\]\n\n</td></tr></tbody>\n</table>2.  When you’re satisfied with your API input, select **Get sample response**.\n\n    After a few moments, a message is displayed if the connection was successful.\n\n    If you entered your parameters manually for this step, the data imported from the connection test that is rendered in the sample response is authentic and you can use it in the next step to help you map parameters.\n\n3.  Select **Save and continue** to save your edits.\n\n    You must save your changes before you can continue.\n\n\n"}}